import { EventEmitter, Injectable } from '@angular/core';

@Injectable({
    providedIn: 'root'
})
export class ScrollService {
    public endReached = new EventEmitter();
    private prevHeight = -1;

    public signal(height: number) {
        if (this.prevHeight !== height) this.endReached.emit();
        this.prevHeight = height;
    }

    constructor() { }
}
